import Vue from 'vue';

async function save(formData) {
    return Vue.axios.post('/event', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function modify(formData) {
    return Vue.axios.put('/event', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function deleteEvent(id) {
    return Vue.axios.delete("/event/" + id)
}

async function getEvents() {
    return Vue.axios.get("/event")
}

export {save, modify, deleteEvent, getEvents}
