import Vue from 'vue';

async function save(title, content) {
    const request = {title: title, content: content}
    return Vue.axios.post("/notice", request)
}

async function modify(id, title, content) {
    const request = {id: id}

    if (title.trim().length > 0) {
        request.title = title
    }

    if (content.trim().length > 0) {
        request.content = content
    }

    return Vue.axios.put("/notice", request)
}

async function deleteNotice(id) {
    return Vue.axios.delete("/notice/" + id)
}

async function getNotices(page) {
    return Vue.axios.get(
        "/notice?page=" + (page - 1) +
        "&size=20" +
        "&timezone=" + Intl.DateTimeFormat().resolvedOptions().timeZone
    )
}

export {save, modify, deleteNotice, getNotices}
