import Vue from 'vue';

async function createRecommendCreatorBanner(formData) {
    return Vue.axios.post('/admin/live/recommend-creator', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function updateRecommendCreatorBanner(formData) {
    return Vue.axios.put('/admin/live/recommend-creator', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function updateRecommendCreatorBannerOrders(firstOrders, ids) {
    return Vue.axios.put('/admin/live/recommend-creator/orders', {firstOrders: firstOrders, ids: ids})
}

async function getRecommendCreatorBanner(page) {
    return Vue.axios.get("/admin/live/recommend-creator?page=" + (page - 1) + "&size=20");
}

export {
    createRecommendCreatorBanner,
    updateRecommendCreatorBanner,
    updateRecommendCreatorBannerOrders,
    getRecommendCreatorBanner
};
